gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget A color selector based on hue, saturation, and value. TODO: add an example.
- Constructor
  2.12.0.0
  Default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("changed")
  System.EventHandler Raised when the color of this widget changes.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Gets the current color indicated by this widget.
- Method
  2.12.0.0
  System.Void `` `` a to fill with the hue ring size. a to fill with the width of the hue ring. Gets the current size of this widget.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean An HSV color selector is "adjusting" if multiple rapid changes are being made to its value, for example, when the user is adjusting the value with the mouse. This property tells whether the HSV color selector is being adjusted or not. a Returns true if clients can ignore changes to the color value, since they may be transitory, or false if they should consider the color value status to be final.
- Event
  2.12.0.0
  GLib.Signal("move")
  Gtk.MoveHandler Raised when this widget is moved.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.HSV))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMove", Type=typeof(Gtk.HSV))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` `` A , the hue A , the saturation A , the value Sets the color displayed in the widget.
- Method
  2.12.0.0
  System.Void `` `` A A Set the basic size of the hue ring.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a , the hue a , the saturation a , the value a , red component a , blue component a , green component Converts a HSV value to a RGB (red-green-blue) triplet.